Skip to main content
GET
/
availability-periods
/
{id}
Get an availability period
curl --request GET \
  --url https://www.ruddr.io/api/workspace/availability-periods/{id} \
  --header 'Authorization: Bearer <token>'
{
  "hoursPerDay": [
    8,
    8,
    8,
    8,
    8,
    0,
    0
  ],
  "id": "3a7c1f82-e5d4-4b09-8c2e-f1a6d7b0e934",
  "start": "2026-01-15",
  "createdAt": "2026-01-10T09:23:14.512Z",
  "isDefault": false,
  "end": "2026-06-30"
}
A period defining a member’s expected working hours. Members may not be full-time, and their availability can change over time.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The availability period uuid.

Response

200

hoursPerDay
number[]

A list of available hours for each day of the week. The array size is always 7. The first value represents Monday.

id
string

The unique identifier for the object.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

createdAt
string<date-time>

The timestamp when the object was created.

isDefault
boolean

Whether this is the default availability period for the member.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if the period has no end date.